## model
Class EntryUpdater

    java.lang.Object
      model.entry.EntryDataModel
          model.entry.EntryDataModelEditor
              model.EntryUpdater

    public class EntryUpdater

extends EntryDataModelEditor

EntryUpdater is used to create a new Tournament object. When the run-method is called the Entry object that is connected to the instance of this class is updated with the data in this class. A subclass of EntryDataModelEditor.

Field Summary
`private Tournament` `TOURNAMENT`

Constructor Summary
`protected` `EntryUpdater(Tournament tournament, Entry target_entry)`

Method Summary
`void` `run()` Edits the tournament linked to this instance of class TournamentUpdater with the data in this instance.

Methods inherited from class model.entry.EntryDataModelEditor
`addDiscountId, setClub, setCountry, setCountry, setDateOfBirth, setFirstName, setInfo, setLastName, setPaidSum, setPaidSum, setRank, setRank, setTotalFee, setTotalFee`

Methods inherited from class model.entry.EntryDataModel
`getBirthDayOfMonth, getBirthMonthOfYear, getClub, getCountry, getDateOfBirth, getDiscountIds, getFirstName, getId, getInfo, getLastName, getPaidSum, getRank, getTotalFee, setDateOfBirth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOURNAMENT

    private final transient Tournament TOURNAMENT

Constructor Detail

### EntryUpdater

    protected EntryUpdater(Tournament tournament,
                           Entry target_entry)
                    throws GoException

Throws:
  `GoException`

Method Detail

### run

    public void run()
             throws GoException

  Edits the tournament linked to this instance of class TournamentUpdater with the data in this instance.

  Specified by:
    `run` in class `EntryDataModelEditor`
  Throws:
    `GoException`